include (U2Formats.pri)

# Input
HEADERS += src/ABIFormat.h \
           src/AbstractVariationFormat.h \
           src/ASNFormat.h \
           src/BAMUtils.h \
           src/BedFormat.h \
           src/ClustalWAlnFormat.h \
           src/ColumnDataParser.h \
           src/Database.h \
           src/DifferentialFormat.h \
           src/DNAQualityIOUtils.h \
           src/DocumentFormatUtils.h \
           src/EMBLGenbankAbstractDocument.h \
           src/EMBLPlainTextFormat.h \
           src/FastaFormat.h \
           src/FastqFormat.h \
           src/FpkmTrackingFormat.h \
           src/GenbankLocationParser.h \
           src/GenbankPlainTextFormat.h \
           src/GFFFormat.h \
           src/GTFFormat.h \
           src/IOLibUtils.h \
           src/MegaFormat.h \
           src/MSFFormat.h \
           src/NewickFormat.h \
           src/NEXUSFormat.h \
           src/NEXUSParser.h \
           src/PDBFormat.h \
           src/PDWFormat.h \
           src/PhylipFormat.h \
           src/PlainTextFormat.h \
           src/RawDNASequenceFormat.h \
           src/SAMFormat.h \
           src/SCFFormat.h \
           src/SNPDatabaseUtils.h \
           src/SimpleSNPVariationFormat.h \
           src/StdResidueDictionary.h \
           src/StockholmFormat.h \
           src/StreamSequenceReader.h \
           src/StreamSequenceWriter.h \
           src/SwissProtPlainTextFormat.h \
           src/TextDocumentFormat.h \
           src/VCF4VariationFormat.h \
           src/VectorNtiSequenceFormat.h \
           src/ace/AceFormat.h \
           src/ace/AceImportUtils.h \
           src/ace/AceImporter.h \
           src/ace/CloneAssemblyWithReferenceToDbiTask.h \
           src/ace/ConvertAceToSqliteTask.h \
           src/apr/AprFormat.h \
           src/apr/AprImporter.h \
           src/sqlite_dbi/SQLiteAssemblyDbi.h \
           src/sqlite_dbi/SQLiteAttributeDbi.h \
           src/sqlite_dbi/SQLiteBlobInputStream.h \
           src/sqlite_dbi/SQLiteBlobOutputStream.h \
           src/sqlite_dbi/SQLiteDbi.h \
           src/sqlite_dbi/SQLiteFeatureDbi.h \
           src/sqlite_dbi/SQLiteModDbi.h \
           src/sqlite_dbi/SQLiteMsaDbi.h \
           src/sqlite_dbi/SQLiteObjectDbi.h \
           src/sqlite_dbi/SQLiteObjectRelationsDbi.h \
           src/sqlite_dbi/SQLiteSequenceDbi.h \
           src/sqlite_dbi/SQLiteUdrDbi.h \
           src/sqlite_dbi/SQLiteVariantDbi.h \
           src/sqlite_dbi/assembly/MultiTableAssemblyAdapter.h \
           src/sqlite_dbi/assembly/SingleTableAssemblyAdapter.h \
           src/sqlite_dbi/util/SqliteUpgrader.h \
           src/sqlite_dbi/util/SqliteUpgraderFrom_0_To_1_13.h \
           src/sqlite_dbi/util/SqliteUpgraderFrom_1_13_To_1_25.h \
           src/tasks/BgzipTask.h \
           src/tasks/CalculateSequencesNumberTask.h \
           src/tasks/ConvertAssemblyToSamTask.h \
           src/tasks/ConvertFileTask.h \
           src/tasks/ConvertSnpeffVariationsToAnnotationsTask.h \
           src/tasks/ExportTasks.h \
           src/tasks/MergeBamTask.h \
           src/util/AssemblyAdapter.h \
           src/util/AssemblyPackAlgorithm.h \
           src/util/PairedFastqComparator.h \
           src/util/SnpeffInfoParser.h \
           src/util/TabulatedFormatReader.h

SOURCES += src/ABIFormat.cpp \
           src/AbstractVariationFormat.cpp \
           src/ASNFormat.cpp \
           src/BAMUtils.cpp \
           src/BedFormat.cpp \
           src/ClustalWAlnFormat.cpp \
           src/ColumnDataParser.cpp \
           src/Database.cpp \
           src/DifferentialFormat.cpp \
           src/DNAQualityIOUtils.cpp \
           src/DocumentFormatUtils.cpp \
           src/EMBLGenbankAbstractDocument.cpp \
           src/EMBLPlainTextFormat.cpp \
           src/FastaFormat.cpp \
           src/FastqFormat.cpp \
           src/FpkmTrackingFormat.cpp \
           src/GenbankLocationParser.cpp \
           src/GenbankPlainTextFormat.cpp \
           src/GFFFormat.cpp \
           src/GTFFormat.cpp \
           src/MegaFormat.cpp \
           src/MSFFormat.cpp \
           src/NewickFormat.cpp \
           src/NEXUSFormat.cpp \
           src/PDBFormat.cpp \
           src/PDWFormat.cpp \
           src/PhylipFormat.cpp \
           src/PlainTextFormat.cpp \
           src/RawDNASequenceFormat.cpp \
           src/SAMFormat.cpp \
           src/SCFFormat.cpp \
           src/SimpleSNPVariationFormat.cpp \
           src/SNPDatabaseUtils.cpp \
           src/StdResidueDictionary.cpp \
           src/StockholmFormat.cpp \
           src/StreamSequenceReader.cpp \
           src/StreamSequenceWriter.cpp \
           src/SwissProtPlainTextFormat.cpp \
           src/TextDocumentFormat.cpp \
           src/VCF4VariationFormat.cpp \
           src/VectorNtiSequenceFormat.cpp \
           src/ace/AceFormat.cpp \
           src/ace/AceImporter.cpp \
           src/ace/AceImportUtils.cpp \
           src/ace/CloneAssemblyWithReferenceToDbiTask.cpp \
           src/ace/ConvertAceToSqliteTask.cpp \
           src/apr/AprFormat.cpp \
           src/apr/AprImporter.cpp \
           src/sqlite_dbi/SQLiteAssemblyDbi.cpp \
           src/sqlite_dbi/SQLiteAttributeDbi.cpp \
           src/sqlite_dbi/SQLiteBlobInputStream.cpp \
           src/sqlite_dbi/SQLiteBlobOutputStream.cpp \
           src/sqlite_dbi/SQLiteDbi.cpp \
           src/sqlite_dbi/SQLiteFeatureDbi.cpp \
           src/sqlite_dbi/SQLiteModDbi.cpp \
           src/sqlite_dbi/SQLiteMsaDbi.cpp \
           src/sqlite_dbi/SQLiteObjectDbi.cpp \
           src/sqlite_dbi/SQLiteObjectRelationsDbi.cpp \
           src/sqlite_dbi/SQLiteSequenceDbi.cpp \
           src/sqlite_dbi/SQLiteUdrDbi.cpp \
           src/sqlite_dbi/SQLiteVariantDbi.cpp \
           src/sqlite_dbi/assembly/MultiTableAssemblyAdapter.cpp \
           src/sqlite_dbi/assembly/SingleTableAssemblyAdapter.cpp \
           src/sqlite_dbi/util/SqliteUpgrader.cpp \
           src/sqlite_dbi/util/SqliteUpgraderFrom_0_To_1_13.cpp \
           src/sqlite_dbi/util/SqliteUpgraderFrom_1_13_To_1_25.cpp \
           src/tasks/BgzipTask.cpp \
           src/tasks/CalculateSequencesNumberTask.cpp \
           src/tasks/ConvertAssemblyToSamTask.cpp \
           src/tasks/ConvertFileTask.cpp \
           src/tasks/ConvertSnpeffVariationsToAnnotationsTask.cpp \
           src/tasks/ExportTasks.cpp \
           src/tasks/MergeBamTask.cpp \
           src/util/AssemblyPackAlgorithm.cpp \
           src/util/PairedFastqComparator.cpp \
           src/util/SnpeffInfoParser.cpp \
           src/util/TabulatedFormatReader.cpp

RESOURCES += U2Formats.qrc
TRANSLATIONS += transl/russian.ts
